Bug 114535 - When img@alt is undefined, WebKit should use @title as accessibility label if available
Summary: When img@alt is undefined, WebKit should use @title as accessibility label if...
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Accessibility (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: chris fleizach
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2013-04-12 14:44 PDT by James Craig
Modified: 2013-04-17 09:41 PDT (History)
9 users (show)

See Also:


Attachments
test case demonstrating bug (539 bytes, text/html)
2013-04-12 14:47 PDT, James Craig
no flags Details
patch (3.82 KB, patch)
2013-04-15 10:58 PDT, chris fleizach
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description James Craig 2013-04-12 14:44:08 PDT
ARIA computation algorithm says to always fallback to the host language "tooltip" attribute (WebKit does not use @title as the label on IMG), but I think an explicitly empty alt attribute should override that on img. I've added a test case.
Comment 1 James Craig 2013-04-12 14:44:51 PDT
<rdar://problem/13337253>
Comment 2 James Craig 2013-04-12 14:46:34 PDT
2. D. "The last resort is to use text from a tooltip attribute (such as the title attribute in HTML). This is used only if nothing else, including subtree content, has provided results."

http://www.w3.org/WAI/PF/aria/complete#textalternativecomputation
Comment 3 James Craig 2013-04-12 14:47:37 PDT
Created attachment 197889 [details]
test case demonstrating bug
Comment 4 Alexey Proskuryakov 2013-04-13 19:48:08 PDT
See also: bug 112842.
Comment 5 chris fleizach 2013-04-15 10:58:46 PDT
Created attachment 198136 [details]
patch
Comment 6 chris fleizach 2013-04-15 10:59:19 PDT
Adding Tim to help with review
Comment 7 WebKit Commit Bot 2013-04-17 09:41:31 PDT
Comment on attachment 198136 [details]
patch 

Clearing flags on attachment: 198136

Committed r148617: <http://trac.webkit.org/changeset/148617>
Comment 8 WebKit Commit Bot 2013-04-17 09:41:33 PDT
All reviewed patches have been landed.  Closing bug.